/*
 * Copyright J. Craig Venter Institute, 2013
 *
 * The creation of this program was supported by J. Craig Venter Institute
 * and National Institute for Allergy and Infectious Diseases (NIAID),
 * Contract number HHSN272200900007C.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jcvi.ometa.configuration;

/**
 * Created by IntelliJ IDEA.
 * User: lfoster
 * Date: 2/2/11
 * Time: 5:33 PM
 *
 * Supports the mapping of filenames to actions.
 */
public class FileMappingSupport {
    public static final String INPUT_FILE_EXTENSION = ".csv";
    public static final String PROJECT_FILE_SUFFIX = "Project" + INPUT_FILE_EXTENSION;
    public static final String SAMPLE_FILE_SUFFIX = "Sample" +  INPUT_FILE_EXTENSION;
    public static final String SAMPLE_META_ATTRIBUTES_FILE_SUFFIX = "SampleMetaAttributes" + INPUT_FILE_EXTENSION;
    public static final String PROJECT_META_ATTRIBUTES_FILE_SUFFIX = "ProjectMetaAttributes" + INPUT_FILE_EXTENSION;
    public static final String LOOKUPVALUE_FILE_SUFFIX = "LookupValues" + INPUT_FILE_EXTENSION;
    public static final String EVENT_META_ATTRIBUTES_FILE_SUFFIX = "EventMetaAttributes" + INPUT_FILE_EXTENSION;
    public static final String EVENT_ATTRIBUTES_FILE_SUFFIX = "EventAttributes" + INPUT_FILE_EXTENSION;
    public static final String DICTIONARY_FILE_SUFFIX = "Dictionary" + INPUT_FILE_EXTENSION;
}
